Description

Many of us have servers across multiple datacenters, or have some other need for logical server grouping.

If | have a thousand servers in 25 data centers, chances are high that a lot of the parameters | want to pass to those servers are
common to all of the servers in that datacenter.

For example: resolve.conf, ntp.conf, the subnet and gateway, and other assorted parameters could be the same among all of the
servers in this facility.

Rather than having to define all of these parameters at the node level, we should be able to apply them once, at a "server group”
level.

Currently, processing of paramaters occurs as such: global param > node param (where the node paramater overrides the global)

I'd like to see the processing be as such: global param > servergroup param > node param

History

#1 - 06/18/2011 05:13 PM - Jeff Palmer

This would allow us to define a common parameter, without having to set 30 params repeatedly across each of 100 or 500 nodes)

#2 - 06/19/2011 02:15 AM - Ohad Levy

- Status changed from New to Feedback

Hi Jeff,

I'm not sure | follow.. this is supported within foreman from the very beginning... did you read External_Nodes

#3 - 07/17/2011 05:58 AM - Ohad Levy
- Status changed from Feedback to Closed
https://projects.theforeman.org/projects/foreman/wiki/External_Nodes#Define-classes-and-variables-per-host
